PPW_Story_Andre/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('LandingPage.urls')),
    path('Story_1/', include('Story_1.urls')),
    path('Story_3/', include('Story_3.urls')),
    path('Story_5/', include('Story_5.urls')),
    path('Story_6/', include('Story_6.urls')),
    path('Story_7/', include('Story_7.urls')),
    path('Story_8/', include('Story_8.urls')),
    path('Story_9/', include('Story_9.urls')),
]

Story_1/urls.py
from django.contrib import admin
from django.urls import path
from .views import index

app_name = 'Story_1'

urlpatterns = [
    path('', index, name='Story_1-index'),
]

Story_5/urls.py
from django.contrib import admin
from django.urls import path
from .views import index, detail_matkul, tambah, hapus

app_name = 'Story_5'

urlpatterns = [
    path('', index, name='Story_5-index'),
    path('detailmatkul/<int:id>', detail_matkul, name='Story_5-detailmatkul'),
    path('tambah/', tambah),
    path('hapus/<int:id>', hapus, name = 'Story_5-hapusmatkul')
]

Story_5/models.py
from django.db import models

# Create your models here.
class ListMataKuliah(models.Model):
    nama_matkul = models.CharField(max_length = 35)
    dosen_pengajar = models.CharField(max_length = 50)
    sks = models.PositiveSmallIntegerField()
    deskripsi_matkul = models.TextField(max_length = 1000)
    semester_tahun = models.CharField(max_length = 9)
    kelas = models.CharField(max_length = 30)
    

Story_5/forms.py
from django import forms
from .models import ListMataKuliah

class Input_Form(forms.ModelForm):
    class Meta:
        model = ListMataKuliah
        fields = ['nama_matkul', 'dosen_pengajar', 'sks', 'deskripsi_matkul', 'semester_tahun', 'kelas']

        input_attrs = {
            'type' : 'text',
            'required' : True,
            'placeholder' : 'Ketikkan disini'
        }

        nama_matkul = forms.CharField(max_length = 35, widget = forms.TextInput(attrs = input_attrs))
        dosen_pengajar = forms.CharField(max_length = 50, widget = forms.TextInput(attrs = input_attrs))
        sks = forms.IntegerField(required = True)
        deskripsi_matkul = forms.CharField(max_length = 1000, widget = forms.TextInput(attrs = input_attrs))
        semester_tahun = forms.CharField(max_length = 9, widget = forms.TextInput(attrs = input_attrs))
        kelas = forms.CharField(max_length = 30, widget = forms.TextInput(attrs = input_attrs))

Story_5/views.py
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponseRedirect
from .forms import Input_Form
from .models import ListMataKuliah

# Create your views here.
def index(request):
    list_matkul = ListMataKuliah.objects.all()
    response = {
        'input_form' : Input_Form,
        'list_matkul' : list_matkul
    }
    return render(request,"Story_5/index.html", response)

def tambah(request):
    form = Input_Form(request.GET or None)
    if(form.is_valid() and request.method == 'GET'):
        form.save()
    return HttpResponseRedirect('/Story_5/')

def hapus(request, id):
    matkul = get_object_or_404(ListMataKuliah, id = id)
    matkul.delete()
    return HttpResponseRedirect('/Story_5/')

def detail_matkul(request, id):
    matkul = get_object_or_404(ListMataKuliah, id = id)
    response = {
        "matkul" : matkul
    }
    return render(request,"Story_5/detailMatkul.html", response)

Story_5/templates/Story_5/detailMatkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Story 5 Andre</title>
    <link rel="stylesheet" type="text/css" href="{% static 'Story_5/style.css' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
{% endblock meta %}

{% block content %}
<div class = "flex-column center lebar-max outside-in">
    <h1 class = "text-center montserrat-judul">Detail Mata Kuliah</h1>
    <div class = "flex-row center inner-in">
        <a href="{% url 'Story_5:Story_5-index'%}" class = "inner-horizontal-out">
            <button type="button" class="btn btn-outline-info montserrat-deskripsi">Daftar</button>
        </a>
        <a href="{% url 'Story_5:Story_5-hapusmatkul' matkul.id %}" class = "inner-horizontal-out">
            <button type="button" class="btn btn-danger montserrat-deskripsi">Hapus</button>
        </a>
    </div>
    {% if matkul %}
    <div class = "content center lebar-max shadow inner-vertical-out lengkung">
        <div class = "flex-column center orange lengkung-satu text-center lebar-half inner-in montserrat-subjudul">
            <h3>Nama mata kuliah</h3>
        </div>
        <div class = "flex-column center text-center lebar-half inner-in montserrat-deskripsi">
            {{ matkul.nama_matkul }}
        </div>
    </div>
    <div class = "content center lebar-max shadow inner-vertical-out lengkung">
        <div class = "flex-column center orange lengkung-satu text-center lebar-half inner-in montserrat-subjudul">
            <h3>Dosen pengajar</h3>
        </div>
        <div class = "flex-column center text-center lebar-half inner-in montserrat-deskripsi">
            {{ matkul.dosen_pengajar }}
        </div>
    </div>
    <div class = "content center lebar-max shadow inner-vertical-out lengkung">
        <div class = "flex-column center orange lengkung-satu text-center lebar-half inner-in montserrat-subjudul">
            <h3>Kelas</h3>
        </div>
        <div class = "flex-column center text-center lebar-half inner-in montserrat-deskripsi">
            {{ matkul.kelas }}
        </div>
    </div>
    <div class = "content center lebar-max shadow inner-vertical-out lengkung">
        <div class = "flex-column center orange lengkung-satu text-center lebar-half inner-in montserrat-subjudul">
            <h3>Semester tahun</h3>
        </div>
        <div class = "flex-column center text-center lebar-half inner-in montserrat-deskripsi">
            {{ matkul.semester_tahun }}
        </div>
    </div>
    <div class = "content center lebar-max shadow inner-vertical-out lengkung">
        <div class = "flex-column center orange lengkung-satu text-center lebar-half inner-in montserrat-subjudul">
            <h3>SKS</h3>
        </div>
        <div class = "flex-column center text-center lebar-half inner-in montserrat-deskripsi">
            {{ matkul.sks }}
        </div>
    </div>
    <div class = "content center lebar-max shadow inner-vertical-out lengkung" >
        <div class = "flex-column center orange lengkung-satu text-center lebar-half inner-in montserrat-subjudul">
            <h3>Deskripsi mata kuliah</h3>
        </div>
        <div class = "flex-column center text-center lebar-half inner-in montserrat-deskripsi">
            {{ matkul.deskripsi_matkul }}
        </div>
    </div>
    {% endif %}
</div>
{% endblock content %}

Story_5/templates/Story_5/index.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Story 5 Andre</title>
    <link rel="stylesheet" type="text/css" href="{% static 'Story_5/style.css' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
{% endblock meta %}

{% block content %}
    <div class = "content center lebar-max">
        <form class = "flex-column center outside-in lebar-half" action="tambah" method="GET">
            <h1 class = "text-center inner-vertical-in montserrat-judul">Daftar Mata Kuliah</h1>
            {% csrf_token %}
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Nama mata kuliah</p>
                {{ input_form.nama_matkul }}
            </div>
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Dosen pengajar</p>
                {{ input_form.dosen_pengajar }}
            </div>
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Kelas</p>
                {{ input_form.kelas }}
            </div>
            <div class = "flex-row lebar-max form-group flex-wrap">
                <div id = "semester" class = "flex-column lebar-half">
                    <p>Semester tahun</p>
                    {{ input_form.semester_tahun }}
                </div>
                <div id = "sks" class = "flex-column lebar-half">
                    <p>SKS</p>
                    {{ input_form.sks }}
                </div>
            </div>
            <div class = "flex-column lebar-max form-group montserrat-deskripsi">
                <p>Deskripsi mata kuliah</p>
                {{ input_form.deskripsi_matkul }}
            </div>
            <div class = "flex-column lebar-max fomr-group">
                <button type="submit" value = "Submit" class="btn btn-primary montserrat-deskripsi">Submit</button>
            </div>
        </form>
        <div class = "flex-column center outside-in lebar-half orange">
            <div id = "list-in" class = "outside-in lebar-max" style = "box-shadow: 15px 15px 50px rgba(0, 0, 0, 0.25);">
                <h1 class = "text-center inner-in montserrat-judul">List Mata Kuliah</h1>
                <div id = "matkul-matkul">
                    {% if list_matkul %}
                        {% for matkul in list_matkul %}
                        <div class = "flex-row sisi lebar-max inner-vertical-in">
                            <div class = "flex-wrap inner-horizontal-in montserrat-deskripsi" style = "width: 75%">
                                {{ matkul.nama_matkul }}
                            </div>
                            <div style = "width: 25%">
                                <a href="{% url 'Story_5:Story_5-detailmatkul' matkul.id %}">
                                    <button type="button" class="btn btn-outline-primary montserrat-deskripsi">Detail</button>
                                </a>
                            </div>
                        </div>
                        {% endfor %}
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock content %}